# typed_dict_factory

class polyfactory.factories.typed_dict_factory.TypedDictFactory

  Bases: `Generic`[`TypedDictT`], `BaseFactory`[`TypedDictT`]

  TypedDict base factory

  __is_base_factory__: bool = True

    Flag dictating whether the factory is a ‘base’ factory. Base factories are registered globally as handlers for types. For example, the ‘DataclassFactory’, ‘TypedDictFactory’ and ‘ModelFactory’ are all base factories.

  classmethod is_supported_type(value: Any) → TypeGuard[type[TypedDictT]]

    Determine whether the given value is supported by the factory.

    Parameters:

      value – An arbitrary value.

    Returns:

      A typeguard

  classmethod get_model_fields() → list[FieldMeta]

    Retrieve a list of fields from the factory’s model.

    Returns:

      A list of field MetaData instances.